unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, DBClient;

type
  TfMain = class(TForm)
    cdsEstado: TClientDataSet;
    dsEstado: TDataSource;
    cdsCidade: TClientDataSet;
    dsCidade: TDataSource;
    cdsEstadoCODIGO: TIntegerField;
    cdsEstadoNOME: TStringField;
    cdsEstadoSIGLA: TStringField;
    cdsCidadeCODIGO: TIntegerField;
    cdsCidadeCODESTADO: TIntegerField;
    cdsCidadeNOME: TStringField;
    cdsCidadeDDD: TSmallintField;
    cdsEstadoVALORICMS: TFloatField;
    procedure FormCreate(Sender: TObject);
  private
    procedure Create_Estados;
  public
  end;

var
  fMain: TfMain;

implementation

{$R *.dfm}

{ TfMain }

procedure TfMain.Create_Estados;
var iAux: SmallInt;
    aNome, aSigla: array [1..4] of string;
    cArquivo: string;
begin

  { Cria o XML contendo registros de Estados }
  aNome[1] := 'SO PAULO';
  aNome[2] := 'RIO DE JANEIRO';
  aNome[3] := 'BAHIA';
  aNome[4] := 'BELO HORIZONTE';

  aSigla[1] := 'SP';
  aSigla[2] := 'RJ';
  aSigla[3] := 'BA';
  aSigla[4] := 'BH';


  cdsEstado.Open;
  cdsEstado.EmptyDataSet;
  for iAux := 1 to 4 do
  begin
    cdsEstado.Append;
    cdsEstadoCODIGO.Value    := iAux;
    cdsEstadoNOME.Value      := aNome[iAux];
    cdsEstadoSIGLA.Value     := aSigla[iAux];
    cdsEstadoVALORICMS.Value := (iAux + 10);
    cdsEstado.Post;
  end;

  { Salva o arquivo XML }
  cArquivo := ExtractFilePath(Application.ExeName)+'Estados.xml';

  if FileExists(cArquivo) then
    DeleteFile(cArquivo);

  cdsEstado.SaveToFile(cArquivo, dfXMLUTF8);

end;

procedure TfMain.FormCreate(Sender: TObject);
begin
  Create_Estados;
end;

end.
