unit UMenu;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, DBGrids, Buttons, StdCtrls, ExtCtrls, DB, DBClient, MConnect,
  SConnect;

type
  TFrmMenu = class(TForm)
    pnlSubTitulo: TPanel;
    pnlPesquisa: TPanel;
    Label1: TLabel;
    spbtnPesquisa: TSpeedButton;
    Label2: TLabel;
    edtNome: TEdit;
    cdsVenda: TClientDataSet;
    ScktCnDs01: TSocketConnection;
    DsVenda: TDataSource;
    edtCodigo: TEdit;
    pnlMensagem: TPanel;
    DBGrid1: TDBGrid;
    spbtnLoginLogout: TSpeedButton;
    cdsVendaCUSTOMER: TStringField;
    cdsVendaDATA: TSQLTimeStampField;
    cdsVendaPEDIDO: TStringField;
    cdsVendaTIPO: TStringField;
    cdsVendaQUANTIDADE: TIntegerField;
    cdsVendaTOTAL: TFMTBCDField;
    procedure spbtnPesquisaClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure spbtnLoginLogoutClick(Sender: TObject);
  private
    FUsuario: string;
    procedure SetUsuario(const Value: string);
    { Private declarations }
  public
    { Public declarations }
    property Usuario:string read FUsuario write SetUsuario;
  end;

var
  FrmMenu: TFrmMenu;

implementation

{$R *.dfm}

procedure TFrmMenu.SetUsuario(const Value: string);
begin
  FUsuario := Value;
end;

procedure TFrmMenu.FormShow(Sender: TObject);
begin
  Self.Usuario:='Usurio Desktop :'+ TimeToStr(time);
end;

procedure TFrmMenu.spbtnLoginLogoutClick(Sender: TObject);
begin
  if spbtnLoginLogout.Caption='Login' then begin
     spbtnLoginLogout.Caption:='Logout';
     spbtnPesquisa.Enabled:=true;
     ScktCnDs01.Connected:=true;
     ScktCnDs01.AppServer.Login(Self.Usuario);
  end
  else begin
    spbtnLoginLogout.Caption:='Login';
    spbtnPesquisa.Enabled:=false;
    ScktCnDs01.AppServer.Logout(Self.Usuario);
    ScktCnDs01.Connected:=false;
  end;

end;

procedure TFrmMenu.spbtnPesquisaClick(Sender: TObject);
var codigo:integer;
begin
 pnlMensagem.Caption:='Mensagem: ';
 try
   codigo:=StrToInt(edtcodigo.text);
 except
   pnlMensagem.Caption:='Mensagem: Cdigo invlido!';
   edtCodigo.SetFocus;
   exit;
 end;

 with cdsVenda do begin
   Close;
   FetchParams;
   Params.ParamByName('codigo').AsInteger:=codigo;
   Open;
   if recordCount = 0 then begin
      pnlMensagem.Caption:='Mensagem: Nenhuma venda foi encontrado com esse parmetro!';
      exit;
   end;
   edtNome.Text:=FieldByName('Customer').AsString;
 end;
end;

end.
